Fri Jul 27 06:50:14 CDT 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

	* CIAO version 0.5.10 released.

Tue Jul 24 20:38:50 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * COPYING: Updated this file to reflect 2007.
  
Tue Jul 24 16:24:58 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/Hello/descriptors/DeploymentPlan.cdp:
        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:

          Initialized the attributes of the Sender.  The test spits out an
          error message if the Sender's enum attribute could not be
          initialized.  It is currently not possible to initialize enum
          attributes in PICML.  So I have modified these plans by hand for
          now.

Tue Jul 24 10:09:20 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.cpp(can_skip_module):

          Fixed a bug in the logic, where a local or abstract interface,
          or abstract eventtype, would trigger an immediate return of
          'false'. This no longer happens.

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Fixed a typo where a line was commented out inadvertently.

Mon Jul 23 16:53:45 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/Hello/descriptors/DeploymentPlan.cdp:  Updated
          deployment plan generated from the corresponding PICML model.

        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:  New
          deployment plan which doesn't use the Naming Service.

        * examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:

          Updated the nightly build script to use the new deployment plans.

Mon Jul 23 09:07:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Cookies.cpp:
          Removed const in cast, not needed and fixes Intel C++
          warning

Fri Jul 20 12:11:43 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_IDL2/basic_visitor.h:
        * tools/IDL3_to_IDL2/be_global.cpp:
        * tools/IDL3_to_IDL2/be_produce.cpp:
        * tools/IDL3_to_IDL2/be_global.h:
        * tools/IDL3_to_IDL2/be_sunsoft.h:
        * tools/IDL3_to_IDL2/be_helper.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/be_helper.h:

          Refactored code and other changes to make this backend more
          friendly to others that extend it. No changes to generated
          code or to the behavior of the backend.

Thu Jul 19 07:50:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/IDL3_to_IDL2/be_global.{h,cpp}:
          No need to specify "bool const" for a return value, this also
          triggers a warning with the Intel C++ Compiler

Thu Jul 19 00:50:28 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Sender/Sender.mpc:

          Updated to remove traces of _DnC_ from the projects.

        * examples/Hello/descriptors/DeploymentPlan.cdp:  Generated the
          plan using the new PICML model of Hello.

        * examples/Hello/descriptors_RTCCM/rt-config-example.cdp:
        * examples/Hello/descriptors_RTCCM/rt-example.cdp:
        * examples/Hello/descriptors_ReDaC/deploymentplan.cdp:
        * examples/Hello/descriptors_ReDaC/deploymentplan_add.cdp:
        * examples/Hello/descriptors_ReDaC/deploymentplan_remove.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_events.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_events_collocated.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_mcast.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp_collocated.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp_two_hosts.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_with_filters.cdp:
        * examples/Hello/descriptors_naming/deploymentplan_naming.cdp:
        * examples/Hello/descriptors_shared_components/deploymentplan.cdp:
        * examples/Hello/descriptors_shared_components/deploymentplan_shared_components.cdp:

          Removed traces of _DnC_ from these files.

        * examples/Hello/descriptors/flattened_deploymentplan.cdp:
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp:

          Removed these files as they were redundant.

Sun Jul 15 13:06:12 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CCF/Example/IDL2/CxxMapping/GeneratorImpl.hpp:

          Fixed Fuzz warnings regarding exception specification.

Fri Jul 13 11:04:13 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_IDL2/basic_visitor.h:

          New files containing a base class visitor that factors
          out code common to idl3_to_idl2_visitor and others which
          may be created later or link this library.

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:

          Updated MPC file with new additions above.

        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/identifier_helper.h:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h:

          - Factored code out of idl3_to_idl2_visitor into basic_visitor
            described above.

          - Added export macros to classes so another tool can instantiate
            and inherit from them.

Wed Jul 11 04:33:45 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:

          Fix fuzz warning regarding exception specification.

Tue Jul 10 13:21:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Session_Container.cpp:
          Fixed debug statements, thanks to Friedhelm Wolf
          <friedhelm dot wolf at googlemail dot com> for pointing this out

Tue Jul 10 03:53:18 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CCF/CCF/CodeGenerationKit/IndentationBuffer.hpp:

          Fixed fuzz warnings. Zap the usage of exception specification.

Mon Jul  9 11:23:12 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.cpp:

          Added missing newline to the end of the file.

Mon Jul  9 07:26:20 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:

          Updated project to include new source and header files.

Mon Jul  9 02:11:22 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CCF/CCF/CodeGenerationKit/IndentationCxx.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationIDL.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationImplanter.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationXML.hpp:
        * CCF/CCF/CompilerElements/Context.hpp:
        * CCF/CCF/CompilerElements/Preprocessor.cpp:
        * CCF/CCF/CompilerElements/PreprocessorToken.cpp:
        * CCF/CCF/CompilerElements/PreprocessorToken.hpp:
        * CCF/CCF/IDL2/LexicalAnalyzer.hpp:
        * CCF/CCF/IDL2/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.tpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.hpp:
        * CCF/Example/ComponentDeploymentDescriptor/SyntaxTree.hpp:
        * CCF/Example/ComponentDeploymentDescriptor/Traversal.hpp:
        * DAnCE/Utils/Plan_Handler.h:
        * DAnCE/Utils/Plan_Handler.cpp:
        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.h:
        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.cpp:
        * performance-tests/Protocols/Receiver/Receiver_exec.h:
        * performance-tests/Protocols/Receiver/Receiver_exec.cpp:
        * performance-tests/Protocols/Sender/Sender_exec.h:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.h:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.cpp:
        * tools/Config_Handlers/DD_Handler.h:
        * tools/Config_Handlers/DD_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.h:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/ESD_Handler.h:
        * tools/Config_Handlers/ESD_Handler.cpp:
        * tools/Config_Handlers/IDD_Handler.h:
        * tools/Config_Handlers/IDD_Handler.cpp:
        * tools/Config_Handlers/IDREF_Base.h:
        * tools/Config_Handlers/IDREF_Base.cpp:
        * tools/Config_Handlers/IRDD_Handler.h:
        * tools/Config_Handlers/IRDD_Handler.cpp:
        * tools/Config_Handlers/RT-CCM/OR_Handler.h:
        * tools/Config_Handlers/RT-CCM/OR_Handler.cpp:
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h:
        * tools/Config_Handlers/RT-CCM/SRD_Handler.cpp:

          Fixed fuzz warnings. Zap the usage of exception specification.

Fri Jul  6 12:09:31 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.cpp:
        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/identifier_helper.cpp:
        * tools/IDL3_to_IDL2/identifier_helper.h:

          New files, added to help implement the new features
          described below.

        * tools/IDL3_to_IDL2/be_global.cpp:
        * tools/IDL3_to_IDL2/be_produce.cpp:
        * tools/IDL3_to_IDL2/be_init.cpp:
        * tools/IDL3_to_IDL2/be_global.h:
        * tools/IDL3_to_IDL2/be_helper.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h:

          Changes to existing files which, along with the new files
          listed above, add the following improvements to the CIAO
          IDL3_to_IDL2 compiler:

          - more robust handling of escaped identifiers
          - more robust handling of identifiers prefixed with _cxx_
            due to clashes with C++ keywords
          - a new command line option to exclude included IDL files
            from default processing, generating a corresponding
            include with the name of the IDL file unchanged
          - an optional alternative to regenerating an IDL file with
            no IDL3 declarations, which is to simply generate an
            include of the original IDL file

          Thanks for all these improvements to Hakim Souami
          <hakim.souami@thalesatm.com> and his team.

Fri Jun 29 19:23:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Benchmark/RoundTrip/client.cpp:
        * performance-tests/Protocols/Receiver/Receiver_exec.cpp:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_exec.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:
          Added include of Throughput_Stats.h

Thu Jun 28 03:41:14 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/Display/NavDisplayGUI_exec/AddNavUnitCmd.h:
        * examples/Display/NavDisplayGUI_exec/Command.h:
        * examples/Display/NavDisplayGUI_exec/DetailView.cpp:
        * examples/Display/NavDisplayGUI_exec/QuitCmd.h:
        * examples/Display/NavDisplayGUI_exec/RootPanel.cpp:
        * examples/Display/NavDisplayGUI_exec/UpdatePositionCmd.h:
        * examples/Display/NavDisplayGUI_exec/Worker.cpp:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * tools/Config_Handlers/Utils/XercesString.cpp:

          Fixed fuzz warnings. Replace NULL with 0 to adhere to ACE/TAO/CIAO
          coding guidlines.

Thu Jun 28 03:27:08 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:
        * DAnCE/NodeApplication/NodeApplication.cpp:
        * DAnCE/NodeManager/Node_Manager.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp:
        * examples/BasicSP/EC/client.cpp:
        * examples/BasicSP/EC/controller.cpp:
        * examples/Display/RateGen/controller.cpp:
        * examples/Hello/Sender/starter.cpp:
        * examples/Swapping/Sender/starter.cpp:
        * performance-tests/Benchmark/Multi_Threaded/client.cpp:
        * performance-tests/Benchmark/RoundTrip/client.cpp:
        * performance-tests/Benchmark/RoundTripClient/client.cpp:
        * performance-tests/Benchmark/RoundTripServer/server.cpp:
        * performance-tests/Benchmark/server.cpp:
        * performance-tests/Protocols/Controller/Controller.cpp:
        * tests/IDL3/Events/Any/main.cpp:

          Fixed fuzz warnings.
          Use "int ACE_TMAIN (int argc, ACE_TCHAR *argv[])"
          instead of "int main (int argc, char *argv[])" to conform to ACE's
          coding guidelines.

Wed Jun 27 03:44:44 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CCF/CCF/IDL2/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeMember.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/MonitorController.cpp:
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:
        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/Utils/Plan_Handler.cpp:
        * docs/tutorials/Quoter/Simple/Broker/Broker_exec.cpp:
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_exec.cpp:
        * examples/BasicSP/EC/controller.cpp:
        * examples/Display/NavDisplayGUI_exec/DetailView.cpp:
        * examples/Display/NavDisplayGUI_exec/NodeItem.cpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/IDL3_to_IDL2/be_helper.cpp:
        * tools/IDL3_to_IDL2/be_sunsoft.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS function
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Wed Jun 27 01:55:29 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CIDLC/AttributeHeaderEmitters.cpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/OperationHeaderEmitters.cpp:

          Enhance the layout of CIDLC generated code. This fixes bugilla 2949.

Mon Jun 25 11:34:36 CDT 2007  Ciju John  <johnc@ociweb.com>

        * CIAO version 0.5.9 released.

Mon Jun 25 16:16:17 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * NEWS:
          NEWS summary contributions from Gan Deng.

Fri Jun 22 14:58:53 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * ChangeLog:
        * PROBLEM-REPORT-FORM:
        * VERSION:
        * ciao/Version.h:
          Revert to x.5.8 status.

Wed Jun  6 20:00:19 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Null_Component/plan.h

          Fixed Sun C++ on Salaris 10 linkage warning regarding
          extern "C" and extern "C++" mismatch.

Wed Jun  6 16:52:46 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp

          Fixed a type conversion warning on the
          WinXP_VC71_NET_Dynamic_Debug build.

Wed Jun  6 02:04:42 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.cpp:

          Update the name of the test enum value to match the idl.

Tue May 29 21:02:08 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.h:
        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.cpp:

          Added code to support the new IPv4/IPv6 capable address server.

Sun May 27 16:20:10 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ciao/Object_Set_T.cpp:

          Enhanced exception safety of this class. Look at BUG ID 2725 for
          details.

Thu May 24 14:52:18 UTC 2007    <dengg@blade23.isislab.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp

          Reverted a change which was accidentally checked in.

Wed May 23 20:01:49 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.cpp:
        * DAnCE/Deployment/NodeApp_CB_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:

          Removed ACE_HAS_THREADS guards.

Wed May 23 18:36:35 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * MPC/config/ciao_deployment_stub.mpb:

          Added "requires += threads" to disable single threaded build.

        * DAnCE/NodeManager/Node_Manager.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h

          Removed ACE_HAS_THREADS guards.

Wed May 23 02:21:30 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.h:

          Added back #if defined (ACE_HAS_THREADS) macro to
          fix error in single_threaded build.

Mon May 21 15:46:23 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Task_StartLaunch.h:

          Included ACE configuration header file to fix the warnigns
          on the VxWorks5.5.1_x86_GCC2.96_Exceptions build.

Sat May 19 15:59:08 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.cpp:
        * DAnCE/Deployment/NodeApp_CB_Impl.h:

          Moved #include "ace/config-all.h" from .h file to
          the .cpp file since otherwise the #if defined (ACE_HAS_THREADS)
          cannot be evaluated properly.

Fri May 18 13:46:13 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.cpp:

          Added #if defined (ACE_HAS_THREADS) to prevent build error
          of single_threaded build.

Thu May 17 19:53:02 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Task_StartLaunch.cpp:
        * DAnCE/DomainApplicationManager/Task_StartLaunch.h:

          Added this new class which serves as an active object when
          performing startLaunch.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_ActiveObject_Impl.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_ActiveObject_Impl.h:

          This implementation of DomainApplicationManager is a subclass
          of standard implementation of DomainaApplicationManager but
          uses an active object based approach to handle deployment,
          which essentially spawns a number of threads wich each
          correponds to one node.

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:

          Added the above new classes into the project file

        * DAnCE/ExecutionManager/Execution_Manager.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:

          Modified to allow a new command line option "-b", which
          will make the DomainApplicationManager to take an active
          object based approach to handle deployment

Thu May 17 19:02:09 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.h:

          Added #if defined (ACE_HAS_THREADS) to prevent build error
          of single_threaded build.

Wed May 16 17:51:57 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

          Fixed unused variable warnings on GCC Linux build.

Wed May 16 14:35:58 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/NodeApp_CB_Impl.cpp:
        * DAnCE/Deployment/NodeApp_CB_Impl.h:

          Implemented a NA component server callback wait strategy in
          NAM, which uses conditional variable to signal the NA call
          back so it can work with multi-threaded configuration, such
          as thread-per-connection mode. The original implementation
          uses the main thread to run the ORB event loop, which will
          not work for multi-threaded environment.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.inl:

          Implemented the single_threaded_wait_for_callback() and
          multi_threaded_wait_for_callback() methods which uses
          perform_work() and conditional variable technique
          respectively.

        * DAnCE/NodeManager/Node_Manager.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:

          Modified the Node_Manager command line option so the
          user can control whether to use single threaded or
          multi-threaded mode with command line option.

        * examples/Hello/descriptors/flattened_deploymentplan.cdp:
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp:

          Modified the <realizes> tag so the interface of the assembly
          corresponds to some concrete ports of the components. Thanks
          Santos <sanntosn AT lycos.com> for reporting this issue.

Wed May  2 14:09:37 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/BasicSP/BasicSP_exec.h:
          Fixed warning in VxWorks build

Mon Apr 30 08:59:37 CDT 2007  Chad Elliott  <elliott_c@ociweb.com>

        * CIAO version 0.5.8 released.

Mon Apr 30 13:21:23 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Added user visible changes for 0.5.8 based on ChangeLog entries.

Thu Apr 26 15:01:17 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Fixed warning on GCC with constructor initialization list
          sequence.

Wed Apr 25 20:22:44 UTC 2007    <dengg@blade22.isislab.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Fixed warning on GCC with constructor initialization list
          sequence.

        * DAnCE/Utils/Plan_Handler.cpp
        * DAnCE/Utils/Plan_Handler.h

          Added a utility method to add more instances into a plan.

Wed Apr 25 19:27:28 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMH_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMH_Impl.h
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMH_Impl.inl

          An AMH-based implementation of DomainApplicationManager. This
          class duplicates *most* of code with the non-AMH based
          DomainApplicationManager implementation, eventually we should
          either remove one version completely or find a way to minimize
          the duplicate code. The public interfaces of these two classes are
          quite different.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.h

          Modified to use AMH-based DomainApplicationManager in
          conjunction with the AMI.

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp
        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          The AMI callback reply handler should work with the
          AMH-based DomainApplicationManager instead of the non-AMH based
          version.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified to make the construction process of the
          DomainApplicationManager to be more self-contained and atomic.

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp

          Modified the instantation of the DomainApplicationManager
          servant so we can mix between the AMH/AMI based
          DomainApplicationManager servant and the synchronous based
          DomainApplicationManager servant based on the command input.

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc

          Added the AMH-based DAM servant into the project.

Tue Apr 24 17:44:22 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp

          Modified the debug output information to make it
          better describe the program behavior.

        * examples/Hello/descriptors/run_NodeDaemons.pl

          Increased the spawn latency delay so it can handle
          deployment with a large number of components, i.e.,
          more than one thousand.

        * examples/Hello/descriptors/svc_em.conf

          Service configuration file for ExecutionManager.

Tue Apr 24 14:58:58 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp:

          Added a newline to the end of the file.

Mon Apr 23 23:02:25 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/DAnCE_Core.mpc

          Modified the IDL flag by passing -GH to generate AMH code
          for Deployment_DomainApplicationManager.idl.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.h

          Added functionality to use AMH to handle StartLaunch request
          processing.

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp

          Modified to notify the DAM servant object once all the
          AMI callbacks are received.

Sat Apr 21 21:26:30 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.h:

          Used raw pointer to cache the servant since no copy constructor
          is defined for the Value_Ptr in ACE.

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp
        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Get rid of the unnecessary copy constructor.

        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplication/Container_Impl.h
        * DAnCE/NodeApplication/Container_Impl.inl:

          Modified to use Auto_Ptr to cache the container pointer.
          Return a duplicate pointer instead of returning a pointer
          within the object.

Fri Apr 20 19:08:43 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp

          Modified to make the debug message more informative.

Thu Apr 19 23:15:10 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.h

          Added a centrallized map to track the status of the AMI callback
          return status.

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp
        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Added a DomainApplicationManager_AMI_Impl object as a member
          variable for callback purpose, i.e., notifiying this object
          as soon as a AMI call returns.

        * DAnCE/ExecutionManager/Execution_Manager.cpp

          Added usage info printout about using AMI.

Thu Apr 19 18:29:12 UTC 2007 Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/run_test.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl:
        * examples/BasicSP/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test.pl:
        * performance-tests/Benchmark/Multi_Threaded/run_test.pl:
        * performance-tests/Benchmark/RoundTrip/run_test.pl:
        * performance-tests/Benchmark/RoundTripClient/run_test.pl:
        * performance-tests/Benchmark/RoundTripClient/run_test_ior_cad.pl:
          Use $PerlACE::wait_interval_for_process_creation

Sun Apr 15 19:20:32 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/ServantSourceGenerator.cpp:
          Fixed bug 2892, thanks to Abdul Sowayan for reporting this.

Wed Apr 11 11:48:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:

          Removed the stray '\' I accidentally added yesterday.

Tue Apr 10 17:23:16 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/BasicSP.mwc:  Added SVN Id tag to remove Fuzz
          warning.  Thanks to Chad for pointing out the error.

        * examples/BasicSP/EC/EC_exec.cpp: Removed use of
          ACE_PRINT_EXCEPTION since it is deprecated.

Tue Apr 10 15:37:24 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc

          Modified to inherit from the "strategies" base project.

        * DAnCE/Utils/Plan_Handler.cpp

          Removed ACE exception macros.

Tue Apr 10 14:13:19 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:

          Removed parenthesis around throw argument.

Mon Apr  9 23:29:15 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/EC/EC.mpc:

          Updated MPC files to cleanup the generated skeleton files.
          Thanks to Chad for this solution.

Mon Apr  9 14:15:13 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:

          Added BasicSP_exec to the after keyword setting.

Sat Apr  7 22:09:57 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp

          Changed ACE_Thread_Mutex to ACE_SYNCH_MUTEX to fix
          Singled Threaded build error.

Fri Apr  6 03:42:04 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/descriptors/run_test.pl:  Updated the second
          invocation of plan_launcher to pass in the previously generated
          execution manager's IOR.  The test fails on Linux without this
          flag.   Somehow it works on Windows without this flag; probably
          due to some issue with case-sensitivity.

Fri Apr  6 01:15:00 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * MPC/config/dance_utils.mpb

          Added the base project for the DAnCE utility library.

Fri Apr  6 03:35:21 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:

          Added missing dependencies on BasicSP_svnt so that the test runs
          fine on Linux.

Thu Apr  5 21:32:57 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/EC/EC.mpc:

          Fixed errors in Linux builds due to a duplicate dependency rule
          added to the MPC files between a .cidl file and a E.idl file.

Thu Apr  5 21:03:50 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Utils/DAnCE_Utils.mpc
        * DAnCE/Utils/DAnCE_Utils_Export.h
        * DAnCE/Utils/Plan_Handler.cpp
        * DAnCE/Utils/Plan_Handler.h

          Added the utility library to manipulate the deployment
          plan, such as adding/removing instances, adding/removing
          connections, and pretty print.

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp

          Modified to use the above utility class so we can
          programatically scale up the deployment.

Thu Apr  5 16:51:24 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Changed ACE_Thread_Mutex to ACE_SYNCH_MUTEX to avoid errors
          in Single_Threaded build.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp

          Added exception catching blocks to re_launch_plan operation.

Thu Apr  5 01:07:34 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * examples/BasicSP/BMClosedED/BMClosedEDEI.idl:
        * examples/BasicSP/BMDevice/BMDeviceEI.idl:
        * examples/BasicSP/BMDisplay/BMDisplayEI.idl:
        * examples/BasicSP/EC/ECEI.idl:

          Removed these files.

Wed Apr  4 21:55:58 UTC 2007  Krishnakumar B  <kitty@nospam.invalid.domain>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
        * DAnCE/ExecutionManager/Execution_Manager.cpp:

          Improved the option handling of the Execution_Manager and
          plan_launcher.  This includes printing meaningful usage
          messages, and exiting with an error message when an error occurs
          instead of silent termination etc. etc.

        * examples/BasicSP/BMClosedED/BMClosedED.cidl:
        * examples/BasicSP/BMClosedED/BMClosedED.idl:
        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.h:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.cpp:
        * examples/BasicSP/BMDevice/BMDevice.cidl:
        * examples/BasicSP/BMDevice/BMDevice.idl:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/BMDevice/BMDevice_exec.h:
        * examples/BasicSP/BMDevice/BMDevice_exec.cpp:
        * examples/BasicSP/BMDisplay/BMDisplay.cidl:
        * examples/BasicSP/BMDisplay/BMDisplay.idl:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay_exec.h:
        * examples/BasicSP/BMDisplay/BMDisplay_exec.cpp:
        * examples/BasicSP/BasicSP.idl:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/BasicSP.mwc:
        * examples/BasicSP/BasicSP_exec.h:
        * examples/BasicSP/BasicSP_exec.cpp:
        * examples/BasicSP/BasicSP_exec_export.h:
        * examples/BasicSP/EC/EC.cidl:
        * examples/BasicSP/EC/EC.idl:
        * examples/BasicSP/EC/EC.mpc:
        * examples/BasicSP/EC/EC_exec.h:
        * examples/BasicSP/EC/EC_exec.cpp:
        * examples/BasicSP/EC/client.cpp:
        * examples/BasicSP/EC/controller.cpp:
        * examples/BasicSP/descriptors/BasicSP.cdp:
        * examples/BasicSP/descriptors/BasicSP.dat:
        * examples/BasicSP/descriptors/run_test.pl:

          Updated the example to use the latest and greatest CIAO features
          include --lem-force-all which gives an example of how to share
          the implementation of a facet among multiple components.  While
          at it, make sure that the run_test.pl actually deploys and runs
          the application.  Now the example can be turned on for nightly
          builds.

        * examples/BasicSP/descriptors/Airframe.ccd:
        * examples/BasicSP/descriptors/Airframe.cid:
        * examples/BasicSP/descriptors/Airframe.cpd:
        * examples/BasicSP/descriptors/Airframe_Exec.iad:
        * examples/BasicSP/descriptors/Airframe_Stub.iad:
        * examples/BasicSP/descriptors/Airframe_Svnt.iad:
        * examples/BasicSP/descriptors/DeploymentPlan.cdp:
        * examples/BasicSP/descriptors/Domain.cdd:
        * examples/BasicSP/descriptors/GPS.ccd:
        * examples/BasicSP/descriptors/GPS.cid:
        * examples/BasicSP/descriptors/GPS.cpd:
        * examples/BasicSP/descriptors/GPS_Exec.iad:
        * examples/BasicSP/descriptors/GPS_Stub.iad:
        * examples/BasicSP/descriptors/GPS_Svnt.iad:
        * examples/BasicSP/descriptors/HUDisplay.cid:
        * examples/BasicSP/descriptors/HUDisplay.cpd:
        * examples/BasicSP/descriptors/HUDisplay.pcd:
        * examples/BasicSP/descriptors/Libraries.iad:
        * examples/BasicSP/descriptors/NavDisplay.ccd:
        * examples/BasicSP/descriptors/NavDisplay.cid:
        * examples/BasicSP/descriptors/NavDisplay.cpd:
        * examples/BasicSP/descriptors/NavDisplay_Exec.iad:
        * examples/BasicSP/descriptors/NavDisplay_Stub.iad:
        * examples/BasicSP/descriptors/NavDisplay_Svnt.iad:
        * examples/BasicSP/descriptors/NodeManagerMap.dat:
        * examples/BasicSP/descriptors/Timer.ccd:
        * examples/BasicSP/descriptors/Timer.cid:
        * examples/BasicSP/descriptors/Timer.cpd:
        * examples/BasicSP/descriptors/Timer_Exec.iad:
        * examples/BasicSP/descriptors/Timer_Stub.iad:
        * examples/BasicSP/descriptors/Timer_Svnt.iad:
        * examples/BasicSP/descriptors/XMI.xsd:
        * examples/BasicSP/descriptors/basicNodeDaemon.pl:
        * examples/BasicSP/descriptors/basicsp.dat:
        * examples/BasicSP/descriptors/flattened_deploymentplan.cdp:
        * examples/BasicSP/descriptors/package.tpd:

          Removed these files.

Wed Apr  4 22:04:11 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

          Fixed static build errors.

Wed Apr  4 19:28:09 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Added header file for ACE_Thread_Mutex.

Wed Apr  4 15:55:23 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp
        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Removed unused arguments.

Tue Apr  3 19:30:05 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Deployment/DAnCE_Core.mpc
        * MPC/config/ciao_deployment_stub.mpb

          Added "messaging.mpb" as base project for ciao_deployment_stub.

        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h

          Modified to allow passing command line option to
          indicate whether to use AMI or not.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_AMI_Impl.h
        * DAnCE/DomainApplicationManager/Reply_Handler_i.cpp
        * DAnCE/DomainApplicationManager/Reply_Handler_i.h

          Added implementation of using AMI for "startLaunch"
          operation.

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/Interfaces/Interfaces.mpc
        * DAnCE/NodeManager/Monitor.mpc

          Modified to accomodate the above changes.

Tue Apr  3 18:59:38 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIAO_TAO_DAnCE.mwc:
        * CIAO_TAO.mwc:

          In the list of directories eplaced ACE_ROOT/ace/ACEXML with
          3 subdirectories, leaving out the tests and examples
          subdirectories, which aren't needed. These included ACEXML
          subdirectories are now the same as in TAO_ACE.mwc.

        * tests/CIDL/CodeGen/CodeGen.mpc:

          Cosmetic changes, shortened line lengths.

Tue Apr  3 15:19:01 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp

          Removed deprecated ACE exception macros.

Mon Apr  2 16:38:24 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.h

          Address virtual destructor warnings.

        * DAnCE/ExecutionManager/Execution_Manager_Impl.h

          Address exception warnings.

Fri Mar 30 23:10:24 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.h:

          Removed the declaration and definition of the virtual
          destructor since a virtual destructor has been defined
          in the base class.

Fri Mar 30 18:23:43 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp

          Silenced the "unused variables" warnings.

Fri Mar 30 18:09:55 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc

          Added "rtcorba" as base project dependency.

Fri Mar 30 18:05:06 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:

          Added virtual destructors into the class.

Fri Mar 30 14:15:58 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:

          Removed emulated exceptions since they are no
          longer supported. Also removed the exception
          specification in the c++ mapping of IDL operation
          since they are obsolete.

Thu Mar 29 15:22:08 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:

          Created a child POA which is configured with
          Client_Propagated Priority Model.

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
        * DAnCE/ExecutionManager/ExecutionManager.mpc:

          Added a get_current_thread_priority() to get the
          priority of the current thread. Also added
          debug_level control so the thread priority could
          be printed out.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:

          Added two new methods.
          The is_client_propagated_model() checks whether
          the ExecutionManager exposes the CLIENT_PROPAGATED
          priority model. The set_current_priority() method
          will set the client thread priority if the priority
          model is CLIENT_PROPAGATED on the EM side.

        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Benchmark_Impl.cpp:

          Added two derived classes which collect benchmarking
          results of DAnCE.

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:

          Added a command line argument "-z" to allow priority
          to be specified on Plan_Launcher, and then propagated
          to the Execution Manager.


Wed Mar 28 11:16:43 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/NodeApplication/NodeApp_Configurator.h:

          Partially reverted changes made in Fri Mar 23 03:13:40 UTC 2007.
          VS 7.1 didn't like it. Forward declaration to Config_Manager was
          removed and its header file was included again.

Sun Mar 25 23:26:11 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CCF/CCF/IDL2/Parsing/Recovery.hpp
        * CCF/CCF/CodeGenerationKit/IndentationBuffer.hpp

          An attempt to deal with copious warnings from the CIDLC
          build.

Sun Mar 25 23:07:17 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIDLC/OperationHeaderEmitters.cpp
        * CIDLC/OperationHeaderEmitters.hpp

          Reverted part of previous commit which caused malformed output
          in components with supported interfaces with raises clauses.

Fri Mar 23 21:26:31 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Cookies.h:
        * ciao/Servant_Impl_Base.h:
        * ciao/Servant_Impl_Utils_T.cpp:
        * ciao/Cookies.cpp:
        * CIDLC/OperationHeaderEmitters.cpp:
        * CIDLC/OperationHeaderEmitters.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          - changed key type of ACE_Array_Map added in

            Tue Mar  6 20:21:45 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

            to ptrdiff_t from CORBA::ULong, so it will be
            portable to 64-bit systems.

          - fixed formatting errors in generated code
            for facet servant operations, and removed
            unused methods from the emitter class.

Fri Mar 23 12:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Session_Container.cpp:
        * ciao/StandardConfigurator_Impl.cpp:
        * ciao/Swapping_Container.cpp:
        * examples/Null_Component/Null_Component_exec.h:
        * tools/Config_Handlers/ERE_Handler.h:
          Layout changes

Fri Mar 23 06:56:38 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Removed emulated exception macros.

Fri Mar 23 06:45:51 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/RepositoryManager/ZIP_Wrapper.h

          Addressed initialization warning.

Fri Mar 23 03:13:40 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/NodeApplication/Config_Manager.h:
        * DAnCE/NodeApplication/Config_Manager.cpp:
        * DAnCE/NodeApplication/Config_Manager_export.h:

          Removed uncessary include files. Also, implementation of virtual
          destructor should not be in header or inline file, it was moved
          to a newly created cpp file and an export header was created.
          This Fixes bugzilla 2858.

        * DAnCE/NodeApplication/NodeApp_Configurator.h:
        * DAnCE/NodeApplication/NodeApp_Configurator.cpp:

          Don't include a header file if a forward declaration suffices. The
          include of Config_Manager.h was moved from the header to the cpp file.

        * DAnCE/NodeApplication/NodeApplication.mpc:

          Added a new Config_Manager project. Also simplified this file to
          utilize mpb base projects.

        * MPC/config/ciao_config_manager.mpb:

          New base project for Config_Manager.

        * MPC/config/ciao_nodeapp_configurator.mpb:

          This project now inherits from ciao_config_manager base project.

Fri Mar 23 02:50:00 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/NodeApplication/Configurator_Factory.h:
        * DAnCE/NodeApplication/Configurator_Factory.inl:
        * DAnCE/NodeApplication/Configurator_Factory.cpp:

          Fixed bugzilla 2860. All inlined implementations were
          moved to .inl file to follow ACE/TAO/CIAO conventions.

          Uncessary include files were removed.

          ACE_DLL was commented out since it is not used anymore.

Thu Mar 22 19:09:35 UTC 2007  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Reverted a change made from:

          Sun Apr  9 01:03:19 UTC 2006
          <wotte@blade35.isislab.vanderbilt.edu>

          The old change accidentally checked in some wrong code,
          which broke the ReDaC functionality when removing components.

Wed Mar 21 12:12:26 CDT 2007  Chad Elliott  <elliott_c@ociweb.com>

        * CIAO version 0.5.7 released.

Wed Mar 21 14:54:24 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS

          Latest NEWS items.

Tue Mar 13 20:13:09 UTC 2007  Steve Huston  <shuston@riverace.com>

        * MPC/config/cidlc.mpb: Added C4996 (deprecated CRT function) to the
          list of suppressed warnings. The warnings emanate from the
          ACE_wrappers/contrib/utility area, in case anyone wants to
          investigate the desireability of making a change.

Mon Mar 11 07:12:19 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/ServantSourceGenerator.cpp:
          Added missing .in() to the generation

Sat Mar 10 22:49:01 UTC 2007  Steve Huston  <shuston@riverace.com>

        * MPC/config/ciao_vc8warnings.mpb: New base containing features that
          turn VC8 warnings on/off. Some of these may benefit from some looking
          at; if you want to see them, regenerate projects with the feature
          turned off.

        * MPC/config/ciao_client_dnc.mpb: Inherit from ciao_vc8warnings to
          shut off the gazillions of VC8 warnings.

Sat Mar 10 01:11:40 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/Quoter/Simple/01.html:
        * docs/tutorials/Quoter/Simple/02.html:
        * docs/tutorials/Quoter/Simple/03.html:
        * docs/tutorials/Quoter/Simple/04.html:
        * docs/tutorials/Quoter/Simple/index.html:

          Added $Id to each file to fix fuzz errors.

Fri Mar  9 21:11:20 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Changes to code generation specific to upgradeable components
          corresponding to changes in

          Tue Mar  6 20:21:45 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Mar  9 15:53:02 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp: Adjusted 3rd arg to
          ACE_CString for matching change in ACE from yesterday.

Fri Mar  9 14:09:19 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/RTConfig_Manager.{cpp,inl}:
          Fixed ownership problems with the policy list, fixes bugzilla 2743.
          Also moved destructor to cpp file

Thu Mar  8 01:27:19 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/Quoter/Simple/01.html:
        * docs/tutorials/Quoter/Simple/02.html:
        * docs/tutorials/Quoter/Simple/03.html:
        * docs/tutorials/Quoter/Simple/04.html:
        * docs/tutorials/Quoter/Simple/index.html:

          Added link to CIDLC compiler options.
          Added link to generate_component_mpc.pl options.
          Made it easier to navigate between tutorial pages.

Wed Mar  7 11:42:26 PST 2007  William R. Otte <wotte@dre.vanderbilt.edu>

        * NEWS:

          Updated to include some important changes in this release and
          plans for next release.


Wed Mar  7 02:20:26 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/CoSMIC:
        * docs/tutorials/CoSMIC/01.html:
        * docs/tutorials/CoSMIC/02.html:
        * docs/tutorials/CoSMIC/03.html:
        * docs/tutorials/CoSMIC/04.html:
        * docs/tutorials/CoSMIC/Icons:
        * docs/tutorials/CoSMIC/Icons/AddConnMode.gif:
        * docs/tutorials/CoSMIC/Icons/SetMode.gif:
        * docs/tutorials/CoSMIC/Images:
        * docs/tutorials/CoSMIC/Images/fig1.jpg:
        * docs/tutorials/CoSMIC/Images/fig10.jpg:
        * docs/tutorials/CoSMIC/Images/fig11.jpg:
        * docs/tutorials/CoSMIC/Images/fig12.jpg:
        * docs/tutorials/CoSMIC/Images/fig2.jpg:
        * docs/tutorials/CoSMIC/Images/fig3.jpg:
        * docs/tutorials/CoSMIC/Images/fig4.jpg:
        * docs/tutorials/CoSMIC/Images/fig5.jpg:
        * docs/tutorials/CoSMIC/Images/fig6.jpg:
        * docs/tutorials/CoSMIC/Images/fig7.jpg:
        * docs/tutorials/CoSMIC/Images/fig8.jpg:
        * docs/tutorials/CoSMIC/Images/fig9.jpg:
        * docs/tutorials/CoSMIC/Model:
        * docs/tutorials/CoSMIC/Model/Quoter.xme:
        * docs/tutorials/CoSMIC/index.html:
        * docs/tutorials/CoSMIC/style.css:

          Removed these files. This tutorial has been subsumed by the
          tutorial in docs/tutorials/Quoter.

Tue Mar  6 23:43:58 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Added code generation for attaching diffserv policies to
          receptacle interfaces at connection time.

Tue Mar  6 20:21:45 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Cookies.h:
        * ciao/Servant_Impl_Base.h:
        * ciao/Servant_Impl_Utils_T.cpp:
        * ciao/Server_init.cpp:
        * ciao/Cookies.inl:
        * ciao/Servant_Impl_Base.cpp:
        * ciao/Cookies.cpp:
        * ciao/Dynamic_Component_Servant_Base.h:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/AttributeSourceEmitters_T.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/ExecImplGenerator.cpp:
        * CIDLC/Upcase.hpp:
        * CIDLC/ServantGenerator.cpp:

          - changed the container used to hold object reference for
            multiplex receptacle and event source ports from
            ACE_Active_Object_Map to ACE_Array_Map

          - removed class CIAO::Map_Key_Cookie (since it encodes an
            ACE_Active_Object_Map_Key, which is tightly coupled with
            ACE_Active_Object_Map) and replaced it with class
            Cookie_Impl, which encodes a CORBA::ULong

          - formatting and cosmetic changes to CIDLC-generated code

Tue Mar  6 13:21:24 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * COPYING: Updated this file to clarify that the CIAO license need
          not be shipped with binary-only releases.  Thanks to Michael
          Kircher <michael dot kircher at siemens dot com> and Werner
          Burger <werner dot burger at siemens dot com> for motivating
          this.

Sun Mar  4 21:49:19 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * docs/tutorials/Quoter/Simple/Icons:
        * docs/tutorials/Quoter/Simple/Model:

          Added GME model of the Quoter tutorial.

Thu Mar  1 23:05:27 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/images/step6.jpg:
        * docs/tutorials/Quoter/Simple/images/step1.jpg:
        * docs/tutorials/Quoter/Simple/images/step2.jpg:
        * docs/tutorials/Quoter/Simple/images/step3.jpg:
        * docs/tutorials/Quoter/Simple/images/steps.jpg:

          Lowercased file names, removed spaces.

        * docs/tutorials/Quoter/Simple/03.html:
        * docs/tutorials/Quoter/Simple/04.html:
        * docs/tutorials/Quoter/Simple/index.html:

          Changes to reflect above change.
Thu Mar  1 22:20:28 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.cpp:

          A minor change to add a "_" to the receptacle name,
          that is used as a key in a Hash Map storing the
          receptacle policies and the receptacle name.

Thu Mar  1 07:17:00 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/ccd.hpp:
        * tools/Config_Handlers/cid.cpp:
        * tools/Config_Handlers/pcd.cpp:
        * tools/Config_Handlers/toplevel.cpp:
        * tools/Config_Handlers/cdd.hpp:
        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/cpd.hpp:
        * tools/Config_Handlers/cdp.hpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.cpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp:
        * tools/Config_Handlers/ccd.cpp:
        * tools/Config_Handlers/iad.hpp:
        * tools/Config_Handlers/cid.hpp:
        * tools/Config_Handlers/pcd.hpp:
        * tools/Config_Handlers/Deployment.cpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/Config_Handlers/toplevel.hpp:
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp:
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp:
        * tools/Config_Handlers/cdp.cpp:
        * tools/Config_Handlers/cpd.cpp:
        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
        * tools/Config_Handlers/iad.cpp:

          Regenrated with the latest version of XSC to pick up
          bugfixes, esp for addressing warnings in Borland.

        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/RT-CCM/TP_Handler.cpp:
        * tools/Config_Handlers/IRDD_Handler.h:
        * tools/Config_Handlers/IRDD_Handler.cpp:
        * tools/Config_Handlers/IDD_Handler.cpp:

          Borland compile errors resolved.

        * tools/Config_Handlers/Property_Handler.h:

          Layout changes.

Thu Mar  1 03:54:50 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc:
        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc:

          Changed base project from ciao_xml_utils to ciao_config_handlers_base
          to pull in specific block that turns off visibility.

Wed Feb 28 22:19:37 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * ciao/Container_Base.cpp:
        * ciao/Container_Base.h:

          Added a method to get the receptacle policy associated
          with a receptacle.

Wed Feb 28 22:04:52 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * ciao/Container_Base.cpp:
        * ciao/Container_Base.h:

          Added a new private variable of type ACE_Hash_Map to hold
          the receptacle policy list.

          Added a set operation for setting the value of the receptacle policy
          map.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          When the Container_Impl class is created, pass on the
          NA's configurator. The configurator will be used by the
          Container_Impl class to identify the policies that needs to
          be set on the components and their ports. Finally, the
          Container_Impl class lets the container know about these policies.

        * DAnCE/NodeApplication/Container_Impl.h:
        * DAnCE/NodeApplication/Container_Impl.inl:
        * DAnCE/NodeApplication/Container_Impl.cpp:

          Modified the constructor to receive the NA configurator as
          an input argument.

          Added capabilities to collect the policies associated with the
          receptacles of the components.

Wed Feb 28 14:30:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO.mwc:
          Removed RACE

Wed Feb 28 09:33:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ciao_nodeapp_configurator.mpb:
          New base project

        * MPC/config/ciao_nodeapplication.mpb:
          Updated because of new project

        * MPC/config/ciao_race_component.mpb:
        * MPC/config/ciao_race_default.mpb:
        * MPC/config/ciao_race_monitor.mpb:
          Removed, RACE is removed for the moment

        * DAnCE/NodeApplication/NodeApplication.mpc:
          Use the new base project

        * NodeApplicationManager/NodeApplicationManager_Impl.h:
          Layout changes

        * NodeApplicationManager/NodeApplicationManager_Impl.inl:
          No need to use ACE_UNUSED_ARG

Wed Feb 28 07:00:15 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication.mpc:

          Added missing includes to the .cpp file, and added
          missing file for compilation in the .mpc file.

Tue Feb 27 21:35:17 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApp_Configurator.h:

          Changed the current structure of the NodeApplication library
          by introducing the NodeApp_Configurator, that will now be
          used to manage both RT and non-RT policies using the respective
          config managers.

        * DAnCE/NodeApplication/Configurator_Factory.cpp:

          Previously, when RT support was required, the Configurator
          Factory would create the RT config manager.

          Instead, now the NodeApp_Configurator is created, which will
          then subsequently create the RT or non-RT config managers
          depending on whether RT support is required or not.

          By default a non-RT config manager is created, which will be used
          to create the non-RT policies.

        * DAnCE/NodeApplication/NodeApplication_Core.cpp:

          Made modifications to create the RT and non-RT config managers.

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.h:

          Made modifications to conform to the base config manager class.

        * DAnCE/NodeApplication/NodeApplication.mpc:

          Made modifications to compile the newly added files.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:

          Changed the private variable type for the NA Configurator used.

Tue Feb 27 20:11:28 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Fixed cut and paste error in code generation of type-specific
          disconnect_*() method for multiplex uses ports.

Tue Feb 27 17:44:08 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test_without_ns.pl:

          Updated the script in finding the location of the Execution
          Manager executable.

Tue Feb 27 05:26:53 UTC 2007  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp

          Modified the remove_extracted_package () function.
          Added the functionality to save the package information when
          install or delete a package.

Tue Feb 27 03:29:42 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler.mpc

          Inherit from config_handlers_base to disable symbol visibility.

Tue Feb 27 03:10:14 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc
        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc

          Changed double quotes to <%quote%> to correctly generate in
          Visual Studio projects.  Thanks to Kitty for suggesting the
          fix.

Tue Feb 27 03:00:25 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl
        * tests/Bug_2130_Regression/descriptors/run_test.pl
        * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl
        * DAnCE/tests/scripts/BasicSP/basicNodeDaemon.pl
        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl
        * DAnCE/tests/NodeApplicationTest/run_test.pl
        * examples/Hello/descriptors/run_NodeDaemons.pl
        * examples/Hello/descriptors/run_test_without_ns.pl
        * examples/Hello/descriptors/run_test.pl
        * examples/Hello/descriptors_events/run_NodeDaemons.pl
        * examples/Hello/descriptors_events/run_NodeDaemons_svc_conf.pl
        * examples/Hello/descriptors_events/run_NodeDaemons_with_ip.pl
        * examples/Hello/descriptors_RTCCM/rt_run_test.pl
        * examples/BasicSP/descriptors/run_test.pl
        * examples/BasicSP/descriptors/basicNodeDaemon.pl
        * examples/Display/descriptors/run_test_without_ns.pl
        * examples/Display/descriptors/basicNodeDaemon.pl
        * examples/Display/descriptors/run_NodeDaemons.pl

          Updated to reflect movement of binaries to CIAO_ROOT/bin.

Mon Feb 26 17:21:55 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * examples/Hello/descriptors_RTCCM/rt_run_test.pl:

          Locate the CIAO directory using $PerlACE::CIAO_ROOT instead of
          assuming that it is nested within TAO.  This change supports the
          peer-style directory layout.

Sat Feb 24 21:32:05 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplication/RTConfig_Manager.h:
        * DAnCE/NodeApplication/NodeApp_Configurator.h:
        * DAnCE/NodeApplication/NodeApplication_Core.cpp:
        * DAnCE/NodeApplication/Configurator_Factory.cpp:

          Reverted some inadvertent check-ins.

Sat Feb 24 20:53:14 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApp_Configurator.h:
        * DAnCE/NodeApplication/NodeApp_Configurator.cpp:

          Changed the current structure of the NodeApplication library
          by introducing the NodeApp_Configurator, that will now be
          used to manage both RT and non-RT policies using the respective
          config managers.

        * DAnCE/NodeApplication/Configurator_Factory.cpp:

          Previously, when RT support was required, the Configurator
          Factory would create the RT config manager.

          Instead, now the NodeApp_Configurator is created, which will
          then subsequently create the RT or non-RT config managers
          depending on whether RT support is required or not.

          By default a non-RT config manager is created, which will be used
          to create the non-RT policies.

        * DAnCE/NodeApplication/NodeApplication_Core.cpp:

          Made modifications to create the RT and non-RT config managers.

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.h:

          Made modifications to conform to the base config manager class.

        * DAnCE/NodeApplication/NodeApplication.mpc:

          Made modifications to compile the newly added files.

Sat Feb 24 19:52:49 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplication/Config_Manager.h:

          A new base class for the RT and non-RT NodeApplication
          config managers, that are used by the NodeApplication
          configurators.

        * DAnCE/NodeApplication/NAConfig_Manager.cpp:
        * DAnCE/NodeApplication/NAConfig_Manager.h:
        * DAnCE/NodeApplication/NAConfig_Manager.inl:
        * DAnCE/NodeApplication/NA_Configurator_Export.h:

          A non-RT NodeApplication config manager that is being used to
          create the DiffServ policies. In general, this config manager
          can be used to create all the TAO-specific policies that are
          created using ORB, rather than RT-ORB.

        * DAnCE/NodeApplication/NodeApplication.mpc:

          Updated the MPC file to compile the new non-RT NodeApplication
          config manager library.

Fri Feb 23 04:08:04 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * CIDLC/ServantGenerator.cpp:

          cidlc --help prints the following:

            [--svnt-export-macro macro]
            Replace default servant DLL export macro with provided ,acro.

          Fixed the misspelling of macro in the cidlc help message.


Thu Feb 22 22:59:01 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * docs/schema/ServerResourceUsage.txt:

          Updated the text document with the new usage guidelines.

Thu Feb 22 22:53:52 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/CmpClient.cpp:

          Changed in order to remove a warning in the build

Thu Feb 22 22:22:13 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * examples/Hello/descriptors_RTCCM/rt-example.cdp:

          Updated the RT-CCM example deployment plan to conform
          to the latest changes in specifying the POA policies
          within the deployment plan.

          The POA policies now need to be specified with a tag name
          as CIAO:InstancePolicy.

Thu Feb 22 22:19:14 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:

          Modifications to read in DiffServ policy specifications
          within the deployment plan.

Thu Feb 22 22:18:24 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CCF/CCF/CompilerElements/TokenStream.hpp
        * CCF/CCF/IDL2/SemanticAction/Exception.hpp
        * CCF/CCF/IDL2/SemanticAction/TypeId.hpp
        * CCF/CCF/IDL2/SemanticAction/Operation.hpp
        * CCF/CCF/IDL2/SemanticAction/Interface.hpp
        * CCF/CCF/IDL2/SemanticAction/Typedef.hpp
        * CCF/CCF/IDL2/SemanticAction/Attribute.hpp
        * CCF/CCF/IDL2/SemanticAction/Enum.hpp
        * CCF/CCF/IDL2/SemanticAction/ValueTypeFactory.hpp
        * CCF/CCF/IDL2/SemanticAction/ValueTypeMember.hpp
        * CCF/CCF/IDL2/SemanticAction/Member.hpp
        * CCF/CCF/IDL2/SemanticAction/Elements.hpp
        * CCF/CCF/IDL2/SemanticAction/ValueType.hpp
        * CCF/CCF/IDL2/SemanticAction/NumericExpression.hpp
        * CCF/CCF/IDL2/SemanticAction/Include.hpp
        * CCF/CCF/IDL2/SemanticAction/Struct.hpp
        * CCF/CCF/IDL2/SemanticAction/Module.hpp
        * CCF/CCF/IDL2/SemanticAction/Native.hpp
        * CCF/CCF/IDL2/SemanticAction/Const.hpp
        * CCF/CCF/IDL2/SemanticAction/Union.hpp
        * CCF/CCF/CIDL/SemanticAction/HomeExecutor.hpp
        * CCF/CCF/IDL3/SemanticAction/EventTypeFactory.hpp
        * CCF/CCF/IDL3/SemanticAction/Provides.hpp
        * CCF/CCF/IDL3/SemanticAction/Consumes.hpp
        * CCF/CCF/IDL3/SemanticAction/Publishes.hpp
        * CCF/CCF/IDL3/SemanticAction/Uses.hpp
        * CCF/CCF/IDL3/SemanticAction/HomeFactory.hpp
        * CCF/CCF/IDL3/SemanticAction/HomeFinder.hpp
        * CCF/CCF/IDL3/SemanticAction/Emits.hpp

          Addressed warnings relating to classes w/ virtual methods having
          non virtual destructors.

Thu Feb 22 21:36:35 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp

          Fix for compile warning.

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp

          Regenerated with newer version of XSC than Jai had, re-applying
          fixes from
          Wed Feb 21 20:30:34 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

Thu Feb 22 17:07:08 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/CNPM_Handler.cpp:

          Removed a unused input argument from cnw_priority_pd () method.

Thu Feb 22 02:30:29 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/Deployment/CIAO_ServerResources.idl:

          Modified the IDL to conform to the changes made in the
          schema.

Thu Feb 22 02:27:00 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/CNPM_Handler.h:
        * tools/Config_Handlers/RT-CCM/CNPM_Handler.cpp:
        * tools/Config_Handlers/RT-CCM/NPM_Handler.h:
        * tools/Config_Handlers/RT-CCM/NPM_Handler.cpp:

          New config handlers for handling the DiffServ policy
          additions in the CIAOServerResources schema.

        * tools/Config_Handlers/RT-CCM/PS_Handler.cpp:

          PolicySet within the CIAOServerResources schema will now
          have DiffServ policy specify sub-elements. So the PolicySet
          handler is modified to call the specific handlers checked-in
          above.

        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc:

          Included the new files in the MPC.

Thu Feb 22 01:26:05 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * docs/schema/CIAOServerResources.xsd:

          Added elements for representing the DiffServ policy.

        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp:
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp:

          Associated config handlers change.

Wed Feb 21 22:01:45 UTC 2007  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd:

          Updated the InstanceDeploymentDescription element's
          deployedResource sub-element to be a sequence.

        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/IRDD_Handler.h:
        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
        * tools/Config_Handlers/IDD_Handler.cpp:

          Associated config handler changes.

Wed Feb 21 20:30:34 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DynAny_Handler/DynAny_Handler.cpp
        * CIAO_Events/CIAOEvents.hpp
        * RT-CCM/CIAOServerResources.hpp
        * Basic_Deployment_Data.hpp

          Compile fixes for Borland and pedantic G++ compilers.

Wed Feb 21 19:16:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/TargetManager.mpc:
          Fixed error in this file

Wed Feb 21 19:12:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Deployment/Deployment_Target_Data.idl:
          Removed, this file was reintroduced with the move by accident

        * DAnCE/TargetManager/TargetManagerImpl.idl:
          Use full paths

Wed Feb 21 15:49:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/TargetManager.mpc:
          Added missing files

Wed Feb 21 08:30:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Swapping_Container.cpp:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Layout change

        * tools/Config_Handlers/Utils/XercesString.{h,cpp}:
          Use std::swap instead of ACE_Swap

Tue Feb 20 17:56:25 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * COPYING: Clarified how the COPYING file need to be included with
          any code released.  Thanks to Scott Mark <sjm at pobox dot com>
          for helping clarify this.

Tue Feb 20 17:59:51 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Deployment/Deployment_TargetManager.idl
        * DAnCE/Deployment/DAnCE_Core.mpc
        * DAnCE/TargetManager/DomainDataManager.h
        * DAnCE/TargetManager/TargetManager.mpc
        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/TargetManager/ResourceCommitmentManager.h
        * DAnCE/TargetManager/TargetManagerImpl.idl
        * DAnCE/NodeApplication/Container_Impl.h
        * ciao/Context_Impl_Base.h
        * ciao/Swapping_Container.cpp

          Cleared up compile errors from
          Tue Feb 20 16:17:46 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

Tue Feb 20 17:48:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Context_Impl_Base.h:
        * DAnCE/Deployment/NodeApp_CB_Impl.{h,cpp}:
          Removed ACE_THROW_SPEC

Tue Feb 20 17:10:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Extension_Context.{h,cpp}:
          Moved to ciao/extension

Tue Feb 20 16:17:46 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Merged ciao_core_2 to head.

        Tue Feb 20 16:03:02 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Plan_Analyzer/Interface/PlanIngress.idl
        * RACE/Planners/Interface/Planner_I.idl
        * RACE/Controller/Component/Controller.idl
        * RACE/Output_Adapters/Interface/PlanEgress.idl
        * RACE/Planner_Manager/Interface/Planner_Manager_I.idl

          Further updates to support migration of Deployment IDL to
          DAnCE/Deployment.

  Mon Feb 19 21:27:11 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/ciao_events_base_dnc.mpb
        * MPC/config/ciaoexe.mpb
        * MPC/config/ciao_client_dnc.mpb
        * MPC/config/ciao_container_dnc.mpb
        * MPC/config/ciao_servant_dnc.mpb
        * MPC/config/ciao_component_dnc.mpb
        * MPC/config/ciao_events_dnc.mpb
        * MPC/config/ciao_server_dnc.mpb

          Removed the _DnC_ from a bunch of projects, as since we no longer have
          DnC and non DnC versions of CIAO, its reall superfluous.

        * DAnCE/Deployment
        * DAnCE/Deployment/Deployment_NodeApplication.idl
        * DAnCE/Deployment/Deployment_Data.idl
        * DAnCE/Deployment/Deployment_svnt_export.h
        * DAnCE/Deployment/Deployment_Base.idl
        * DAnCE/Deployment/Deployment_RepositoryManager.idl
        * DAnCE/Deployment/Deployment_Packaging_Data.idl
        * DAnCE/Deployment/Deployment_Target_Data.idl
        * DAnCE/Deployment/CIAO_NodeApplication_CallBack.idl
        * DAnCE/Deployment/Deployment_TargetData.idl
        * DAnCE/Deployment/Deployment.idl
        * DAnCE/Deployment/Deployment_NodeManager.idl
        * DAnCE/Deployment/Deployment_TargetManager.idl
        * DAnCE/Deployment/Deployment_Container.idl
        * DAnCE/Deployment/NodeApp_CB_Impl.cpp
        * DAnCE/Deployment/Deployment_DomainApplicationManager.idl
        * DAnCE/Deployment/Deployment_Core.idl
        * DAnCE/Deployment/NodeApp_CB_Impl.h
        * DAnCE/Deployment/Deployment_DeploymentPlan.idl
        * DAnCE/Deployment/Deployment_DomainApplication.idl
        * DAnCE/Deployment/CIAO_ServerResources.idl
        * DAnCE/Deployment/Deployment_stub_export.h
        * DAnCE/Deployment/Deployment_ExecutionManager.idl
        * DAnCE/Deployment/Deployment_ApplicationManager.idl
        * DAnCE/Deployment/Deployment_Connection.idl
        * DAnCE/Deployment/Deployment_Application.idl
        * DAnCE/Deployment/Deployment_NodeApplicationManager.idl
        * DAnCE/Deployment/Deployment_Events.idl
        * DAnCE/Deployment/Deployment_common.h

          Moved these IDLs from CIAO_ROOT/ciao in an effort to isolate the
          DnC IDL from the CIAO IDL and control directory size explosion of
          CIAO_ROOT/ciao.

        * tools/Config_Handlers/DnC_Dump.h
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Property_Handler.cpp
        * tools/Config_Handlers/ID_Handler.cpp
        * tools/Config_Handlers/DnC_Dump.cpp
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/test.cpp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.h
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp
        * tools/Config_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/CRDD_Handler.cpp
        * tools/Config_Handlers/DataType_Handler.h
        * tools/Config_Handlers/STD_CPD_Handler.cpp
        * tools/Config_Handlers/CIAO_Events/test.cpp
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.h
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.cpp
        * tools/Config_Handlers/Req_Handler.cpp
        * tools/Config_Handlers/DP_PCD_Handler.cpp
        * tools/Config_Handlers/RDD_Handler.cpp
        * tools/Config_Handlers/STD_CID_Handler.cpp
        * tools/Config_Handlers/ERE_Handler.cpp
        * tools/Config_Handlers/XML_File_Intf.cpp
        * tools/Config_Handlers/test.cpp
        * tools/Config_Handlers/CCD_Handler.cpp
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp
        * tools/Config_Handlers/RT-CCM/CLA_Handler.h
        * tools/Config_Handlers/RT-CCM/TPL_Handler.h
        * tools/Config_Handlers/RT-CCM/OC_Handler.h
        * tools/Config_Handlers/RT-CCM/PM_Handler.h
        * tools/Config_Handlers/RT-CCM/OR_Handler.h
        * tools/Config_Handlers/RT-CCM/PS_Handler.h
        * tools/Config_Handlers/RT-CCM/TP_Handler.h
        * tools/Config_Handlers/RT-CCM/CB_Handler.h
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/Dump_Obj.h
        * tools/Config_Handlers/ESD_Handler.cpp
        * tools/Config_Handlers/ComponentPropertyDescription_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.cpp
        * tools/Config_Handlers/STD_CID_Handler.h
        * tools/Config_Handlers/IRDD_Handler.cpp
        * tools/Config_Handlers/DD_Handler.cpp
        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.cpp
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc
        * ciaosvcs/Events/CIAO_Events.mpc
        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/NodeManager/MonitorCB.h
        * DAnCE/NodeManager/BaseMonitor.h
        * DAnCE/Plan_Generator/PCVisitorBase.h
        * DAnCE/Plan_Generator/Plan_Generator_Impl.h
        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/TargetManager/DomainEvents.idl
        * DAnCE/TargetManager/TargetManagerImpl.idl
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp
        * DAnCE/Interfaces/ExecutionManagerDaemon.idl
        * DAnCE/Interfaces/NodeManagerDaemon.idl
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/Deployment_Configuration.h
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplication/Container_Impl.h
        * DAnCE/NodeApplication/RTConfig_Manager.h
        * DAnCE/NodeApplication/NodeApp_Configurator.h
        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp
        * DAnCE/NodeApplication/NodeApplication_Core.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/RepositoryManager/RM_Helper.h
        * DAnCE/RepositoryManager/RepositoryManagerDaemon.idl
        * DAnCE/RepositoryManager/PC_Updater.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/PC_Updater.h
        * DAnCE/ExecutionManager/DAM_Map.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * ciao/Swapping_Container.h
        * ciao/Dynamic_Component_Activator.h
        * ciao/CCM_Core.mpc
        * ciao/Container_Base.h

          For the most part, modifications to support movement of DnC interfaces
          to DAnCE/Deployment.  One or two files were further modified to support
          removal of DnC from project names.

  Mon Feb 19 19:40:19 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/ciaoexe.mpb
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

          Modified to install exes to CIAO_ROOT/bin.

  Mon Feb 19 19:33:32 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorCB.cpp
        * DAnCE/TargetManager/DomainDataManager.cpp

          Corrected to reflect changes in IDL.

        * CCF/CCF/CodeGenerationKit/CommandLine.cpp

          Added get_all_values to support revrieval of all values for a given
          option passed on the command line.

  Mon Feb 19 19:32:34 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Container_Base.cpp

          Cosmetic format changes.

        * ciao/CCM_Context.idl

          re-added removed comment.

  Mon Feb 19 19:25:06 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ccd.hpp
        * cid.cpp
        * pcd.cpp
        * Deployment.hpp
        * toplevel.cpp
        * cdd.hpp
        * Basic_Deployment_Data.cpp
        * cdp.hpp
        * cpd.hpp
        * CIAO_Events/CIAOEvents.cpp
        * CIAO_Events/CIAOEvents.hpp
        * ccd.cpp
        * iad.hpp
        * cid.hpp
        * pcd.hpp
        * Deployment.cpp
        * cdd.cpp
        * toplevel.hpp
        * RT-CCM/CIAOServerResources.hpp
        * RT-CCM/CIAOServerResources.cpp
        * cdp.cpp
        * cpd.cpp
        * Basic_Deployment_Data.hpp
        * iad.cpp

        * docs/schema/cid.xsd
        * docs/schema/cpd.xsd

          Changed include ordering.

        * docs/schema/Basic_Deployment_Data.xsd

          Added elements to support sequence, struct, and valuetypes
          in the schema.

  Mon Feb 19 19:20:35 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Package_Handlers/PCD_Handler.cpp

          Changed to reflect slight change in schema.

        * CIAO_Events/CIAO_Events_Handlers.mpc
        * Config_Handlers.mpc
        * RT-CCM/RT-CCM-Handlers.mpc

          Updated to include XSC generation.

  Mon Feb 19 15:30:04 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/xscdefaults.mpb
        * tools/Config_Handlers/Config_Handlers.mpc

          Added a custom type to MPC to handle XSC generation.

  Wed Feb  7 21:16:36 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Deployment_Data.idl
        * ciao/Deployment_ApplicationManager.idl
        * ciao/CCM_CCMException.idl
        * ciao/Deployment_Application.idl
        * ciao/Context_Impl_Base.h
        * ciao/Deployment.idl
        * ciao/Context_Impl_Base.cpp
        * ciao/Deployment_NodeApplication.idl
        * ciao/Deployment_TargetData.idl
        * ciao/CCM_Events.idl
        * ciao/Deployment_ExecutionManager.idl
        * ciao/Deployment_NodeApplicationManager.idl
        * ciao/CCM_Context.idl
        * ciao/Deployment_Base.idl
        * ciao/Deployment_Packaging_Data.idl
        * ciao/Deployment_DomainApplicationManager.idl
        * ciao/Deployment_Connection.idl
        * ciao/Deployment_TargetManager.idl
        * ciao/Deployment_DeploymentPlan.idl
        * ciao/Deployment_NodeManager.idl

          Updated with changes to comply with the 06-02-01 version of the
          DnC spec.  Many of these changes would break the entire toolchain,
          so they are commented out for the time being.  grep for

          @@changed @@add @@delete

          to find changes.

        * ciao/CCM_Core.mpc
        *ciao/Deployment_DomainApplication.idl

         Added DomainApplication interface, completely missing from our IDL.

Tue Feb 20 14:15:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/OperationHeaderEmitters.cpp:
        * CIDLC/OperationHeaderEmitters.hpp:
        * CIDLC/ServantSourceGenerator.cpp:
          Override raises to get no throw spec at all

Tue Feb 20 03:56:37 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/StaticConfigurator/StaticDAnCEApp.mpc.tmpl:

          Added missing dependency on iortable base project.

Mon Feb 19 20:22:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/extension/*:
          Moved all idl files for QoS4CCM to the new extension directory

        * caio/Session_Container.h:
          Layout change

Sat Feb 17 03:45:30 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DAnCE/StaticConfigurator/StaticDAnCEApp.cpp.tmpl:

          Updated template file to match the recent enhancements to StaticDAnCEApp.cpp
          found in examples/Null_Component/StaticDAnCEApp.cpp

Fri Feb 15 19:41:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/AttributeHeaderEmitters.cpp:
        * CIDLC/AttributeSourceEmitters_T.hpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/OperationHeaderEmitters.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
          Removed generation of ACE_THROW_SPEC, maybe some raise methods can be
          removed internally but that is for the next cleanup round

        * examples/Null_Component/Null_Component_exec.h:
          Layout change

        * examples/Null_Component/StaticDAnCEApp.cpp:
          Updated include

Fri Feb 15 09:34:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
          Removed the extension context files for the moment, this needs
          much more idl files

Thu Feb 14 16:06:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment_Target_Data.idl:
        * ciao/Deployment_PlanError.idl:
          Renamed Target_Data to PlanError

        * ciao/CCM_Core.mpc:
        * ciao/Deployment.idl:
        * ciao/Deployment_TargetManager.idl:
        * DAnCE/TargetManager/TargetManagerImpl.idl:
          Updated because of rename above

Thu Feb 14 16:00:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_CCMException.idl:
          Enabled the QoS4CCM enums

        * ciao/CCM_Core.mpc:
          Added ExtensionContext.cpp

        * ciao/ExtensionContext.{h,cpp}:
          New file, just throw no implement in all the new methods, just
          creating first the empty classes and infrastructure

Thu Feb 14 13:05:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Context_Impl_Base.h:
        * ciao/Dynamic_Component_Activator.cpp:
        * ciao/Dynamic_Component_Activator.h:
        * ciao/Dynamic_Component_Servant_T.h:
        * ciao/Home_Servant_Impl_Base.cpp
        * ciao/Home_Servant_Impl_Base.h:
        * ciao/ome_Servant_Impl_T.cpp:
        * ciao/Home_Servant_Impl_T.h:
        * ciao/Object_Set_T.h:
        * ciao/Port_Activator_T.cpp
        * ciao/Port_Activator_T.h:
        * ciao/Servant_Impl_Utils_T.cpp:
        * ciao/StandardConfigurator_Impl.cpp:
        * ciao/StandardConfigurator_Impl.h:
        * ciao/Swapping_Container.cpp:
        * ciao/Swapping_Servant_Home_Impl_T.h:
        * ciao/Upgradeable_Context_Impl_T.h:
          Layout changes

        * ciao/Cookies.cpp:
        * ciao/Cookies.inl:
          Don't inline virtual destructors

Thu Feb 14 12:51:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Context_Impl_Base.cpp:
          Just let resolve_service_reference throw not implemented,
          need some more work

Thu Feb 14 12:22:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.cpp:
        * ciao/Container_Base.h:
        * ciao/Session_Container.cpp:
        * ciao/Session_Container.h:
        * ciao/Session_Container.inl:
          Moved Session_Container to its own file

        * ciao/Container_Base.inl:
          Removed, not needed anymore

        * ciao/CCM_Context.idl:
          Added resolve_service_reference

        * ciao/CCM_Core.mpc:
          Added new Session_Container

        * ciao/Context_Impl_Base.cpp:
        * ciao/Context_Impl_Base.h:
          Layout changes and implemented resolve_service_reference

        * ciao/Context_Impl_T.cpp:
        * ciao/Context_Impl_T.h:
        * ciao/Port_Activator.h:
        * ciao/Port_Activator_T.h:
        * ciao/Servant_Impl_Base.cpp:
        * DAnCE/ExecutionManager/Execution_Manager.cpp:
        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplication/Container_Impl.h:
        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/TargetManager/TargetManager_exec.h:
          Layout changes

        * ciao/Dynamic_Component_Activator.cpp:
        * ciao/Dynamic_Component_Activator.h:
        * ciao/Swapping_Container.cpp:
        * ciao/Swapping_Container.h:
        * ciao/Swapping_Servant_Home_Impl_T.cpp:
          Renamed add_servant_map to add_servant_to_map and delete_servant_map
          to delete_servant_from_map

        * CIDLC/ServantHeaderGenerator.cpp:
          Include Session_Container.h instead of Container_Base.h

        * DAnCE/ExecutionManager/DAM_Map.cpp:
          No need to use intermediate variables

Tue Feb 13 20:49:13 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DomainDataManager.cpp:
          Changed in order to address couple of warnings in the TargetManager.

Mon Feb 12 16:02:14 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * RACE:

        * RACE/Controller:

        * RACE/Controller/Component:

        * RACE/Controller/Component/Controller.cidl:
        * RACE/Controller/Component/Controller.idl:
        * RACE/Controller/Component/Controller.mpc:
        * RACE/Controller/Component/Controller_exec.h:
        * RACE/Controller/Component/Controller_exec.cpp:
        * RACE/Controller/Component/Controller_exec_export.h:
        * RACE/Controller/Component/Controller_stub_export.h:
        * RACE/Controller/Component/Controller_svnt_export.h:

        * RACE/Input_Adapters:

        * RACE/Input_Adapters/Base:

        * RACE/Input_Adapters/Base/Input_Adapter.idl:
        * RACE/Input_Adapters/Base/Input_Adapter.mpc:
        * RACE/Input_Adapters/Base/Input_Adapter_stub_export.h:
        * RACE/Input_Adapters/Base/Input_Adapter_svnt_export.h:

        * RACE/Input_Adapters/Interactive_Input_Adapter:

        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.cidl:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.idl:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.mpc:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter_exec.h:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter_exec.cpp:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter_exec_export.h:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter_stub_export.h:
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter_svnt_export.h:

        * RACE/Input_Adapters/LocationUpdater:

        * RACE/Input_Adapters/LocationUpdater/Injector.cpp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.cdp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.cidl:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.idl:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_deployment.dat:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec.cpp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec_export.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_stub_export.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_svnt_export.h:
        * RACE/Input_Adapters/LocationUpdater/Location_Updater.mpc.disable:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.h:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.inl:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.cpp:
        * RACE/Input_Adapters/LocationUpdater/PlanUpdater.h:
        * RACE/Input_Adapters/LocationUpdater/PlanUpdater.cpp:
        * RACE/Input_Adapters/LocationUpdater/README.txt:

        * RACE/Input_Adapters/PlanGenerator:

        * RACE/Input_Adapters/PlanGenerator/Injector.cpp:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.h:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.inl:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cidl:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cdp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.idl:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.mpc.disable:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_deployment.dat:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec_export.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_stub_export.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_svnt_export.h:
        * RACE/Input_Adapters/PlanGenerator/README.txt:

        * RACE/Output_Adapters:

        * RACE/Output_Adapters/Base:

        * RACE/Output_Adapters/Base/Output_Adapter.idl:
        * RACE/Output_Adapters/Base/Output_Adapter.mpc:
        * RACE/Output_Adapters/Base/Output_Adapter_stub_export.h:
        * RACE/Output_Adapters/Base/Output_Adapter_svnt_export.h:

        * RACE/Output_Adapters/Component:

        * RACE/Output_Adapters/Component/Output_Manager.idl:

        * RACE/Output_Adapters/Interface:

        * RACE/Output_Adapters/Interface/Output_Adapter_Interface.mpc:
        * RACE/Output_Adapters/Interface/Output_Adapter_Interface_stub_export.h:
        * RACE/Output_Adapters/Interface/Output_Adapter_Interface_svnt_export.h:
        * RACE/Output_Adapters/Interface/PlanEgress.idl:

        * RACE/Output_Adapters/XML_Output_Adapter:

        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter.cidl:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter.idl:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter.mpc:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter_exec.h:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter_exec.cpp:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter_exec_export.h:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter_stub_export.h:
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter_svnt_export.h:

        * RACE/Plan_Analyzer:

        * RACE/Plan_Analyzer/Component:

        * RACE/Plan_Analyzer/Component/Plan_Analyzer.cidl:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer.idl:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer.mpc:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer_exec.h:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer_exec.cpp:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer_exec_export.h:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer_stub_export.h:
        * RACE/Plan_Analyzer/Component/Plan_Analyzer_svnt_export.h:

        * RACE/Plan_Analyzer/Interface:

        * RACE/Plan_Analyzer/Interface/PlanIngress.idl:
        * RACE/Plan_Analyzer/Interface/Plan_Analyzer_Interface.mpc:
        * RACE/Plan_Analyzer/Interface/Plan_Analyzer_Interface_stub_export.h:
        * RACE/Plan_Analyzer/Interface/Plan_Analyzer_Interface_svnt_export.h:

        * RACE/Planner_Manager:

        * RACE/Planner_Manager/Component:

        * RACE/Planner_Manager/Component/Planner_Manager.cidl:
        * RACE/Planner_Manager/Component/Planner_Manager.idl:
        * RACE/Planner_Manager/Component/Planner_Manager.mpc:
        * RACE/Planner_Manager/Component/Planner_Manager_exec.h:
        * RACE/Planner_Manager/Component/Planner_Manager_exec.cpp:
        * RACE/Planner_Manager/Component/Planner_Manager_exec_export.h:
        * RACE/Planner_Manager/Component/Planner_Manager_stub_export.h:
        * RACE/Planner_Manager/Component/Planner_Manager_svnt_export.h:

        * RACE/Planner_Manager/Interface:

        * RACE/Planner_Manager/Interface/Planner_Manager_I.idl:
        * RACE/Planner_Manager/Interface/Planner_Manager_Interface.mpc:
        * RACE/Planner_Manager/Interface/Planner_Manager_Interface_stub_export.h:
        * RACE/Planner_Manager/Interface/Planner_Manager_Interface_svnt_export.h:

        * RACE/Planners:

        * RACE/Planners/Base:

        * RACE/Planners/Base/Planner.idl:
        * RACE/Planners/Base/Planner.mpc:
        * RACE/Planners/Base/Planner_stub_export.h:
        * RACE/Planners/Base/Planner_svnt_export.h:

        * RACE/Planners/Interface:

        * RACE/Planners/Interface/Planner_I.idl:
        * RACE/Planners/Interface/Planner_Interface.mpc:
        * RACE/Planners/Interface/Planner_Interface_stub_export.h:
        * RACE/Planners/Interface/Planner_Interface_svnt_export.h:

        * RACE/Planners/SimpleBinPacker:

        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.cidl:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.idl:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.mpc:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker_exec.h:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker_exec.cpp:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker_exec_export.h:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker_stub_export.h:
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker_svnt_export.h:

        * RACE/common:

        * RACE/common/RACE_common.idl:
        * RACE/common/RACE_common.mpc:
        * RACE/common/RACE_common_stub_export.h:
        * RACE/common/RACE_common_svnt_export.h:

        * RACE/descriptors:

        * RACE/descriptors/Deployment.xsd:
        * RACE/descriptors/Modified_Deployment.xsd:
        * RACE/descriptors/XMI.xsd:
        * RACE/descriptors/deployment.dat:
        * RACE/descriptors/flattened_deploymentplan.cdp:

          Removed these files. Removed the RACE implementation from the HEAD,
          since this is obsolete. This module is now in the process of
          re-structuring and will be checked in by Nishanth Shankaran.

Mon Feb 12 12:53:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/*.{h,cpp,inl}:
          Removed ACE_THROW_SPEC, layout changes, reduced includes

Sat Feb 10 20:16:57 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/ResourceCommitmentManager.h:
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp:

        * ciao/Deployment_ResourceCommitmentManager.idl:
          Added missing Id tag

Fri Feb  9 20:11:15 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * ChangeLog:

        * DAnCE/NodeManager/MonitorCB.cpp:

        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/ResourceCommitmentManager.h:
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManagerExt.idl:
        * DAnCE/TargetManager/TargetManagerImpl.idl:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:

        * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:

        * ciao/CCM_Core.mpc:
        * ciao/Deployment_ResourceCommitmentManager.idl:
        * ciao/Deployment_TargetManager.idl:

        Merged in changes from the branch TargetManager_Ext to introduce new
        feature complying to the spec

          Fri Feb  2 21:00:48 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:
          * DAnCE/TargetManager/DomainDataManager.h:
          * DAnCE/TargetManager/DomainDataManager.cpp:
          * DAnCE/TargetManager/TargetManager.mpc:
          * DAnCE/TargetManager/TargetManagerImpl.idl:
          * DAnCE/TargetManager/TargetManager_exec.h:
          * DAnCE/TargetManager/TargetManager_exec.cpp:

          Cleaning TM code to separate CIAO-specific functionality.

          Tue Jan 16 21:18:57 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:
          * DAnCE/TargetManager/DomainDataManager.h:
          * DAnCE/TargetManager/DomainDataManager.cpp:
          * DAnCE/TargetManager/TargetManagerExt.idl:
          * DAnCE/TargetManager/TargetManagerImpl.idl:
          * DAnCE/TargetManager/TargetManager_exec.h:
          * DAnCE/TargetManager/TargetManager_exec.cpp:

          Added some comments to decrease doxygen warnings;Changed
          ACE_DEBUG in many places to ACE_ERROR;Removed a lot of unwanted
          debug messages

          Fri Jan 12 22:04:14 UTC 2007  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:
          * DAnCE/TargetManager/DomainDataManager.h:
          * DAnCE/TargetManager/DomainDataManager.cpp:
          * DAnCE/TargetManager/TargetManager_exec.cpp:

          * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:

          * ciao/Deployment_TargetManager.idl:
          Changed to address Johnny's comments

          Thu Dec 28 22:59:45 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:
          * DAnCE/TargetManager/DomainDataManager.h:
          * DAnCE/TargetManager/DomainDataManager.cpp:
          * DAnCE/TargetManager/TargetManager_exec.h:
          * DAnCE/TargetManager/TargetManager_exec.cpp:

          * ciao/Deployment_ResourceCommitmentManager.idl:
          * ciao/Deployment_TargetManager.idl:
          Modified defination to ResourceCommitmentManager

          Wed Dec 27 19:59:32 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:
          * DAnCE/TargetManager/DomainDataManager.h:
          * DAnCE/TargetManager/DomainDataManager.cpp:
          * DAnCE/TargetManager/TargetManager.mpc:
          * DAnCE/TargetManager/TargetManager_exec.h:
          * DAnCE/TargetManager/TargetManager_exec.cpp:

          * ciao/CCM_Core.mpc:
          * ciao/Deployment_ResourceCommitmentManager.idl:
          * ciao/Deployment_TargetManager.idl:
          Changes made to accomodate the ResourceCommitmentManager

          Tue Dec  5 17:44:49 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * ciao/Deployment_TargetManager.idl:
          Deleted some extraneous comments

          Tue Dec  5 06:29:22 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

          * DAnCE/TargetManager/CmpClient.cpp:

          * ciao/CCM_Core.mpc:
          * ciao/Deployment_ResourceCommitmentManager.idl:
          * ciao/Deployment_TargetManager.idl:
          Added in order to introduce ResourceCommitmenManager
          to TargetManager

Thu Feb  8 18:35:51 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/ServantSourceGenerator.cpp:
          Don't generate ACE_THROW_RETURN but just throw

Wed Feb  7 23:48:51 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.cpp:

          Removed an 'ex' identifier in a catch block that is
          no longer referenced.

Wed Feb  7 23:22:08 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Context_Impl_T.h:
        * ciao/Upgradeable_Context_Impl_T.h:
        * ciao/Context_Impl_T.cpp:
        * ciao/Upgradeable_Context_Impl_T.cpp:

          - Replaced a class template parameter in both
            Context_Impl and Upgradeable_Context_Impl with
            a trait in the class body. This change was
            evidently overlooked when similar changes were
            made to Servant_Impl and Home_Servant_Impl
            pursuant to dropping support for Visual Studio 6.

          - In Upgradeable_Context_Impl, removed class members
            already present in the base class Context_Impl.

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          - Made changes to the generated context class corresponding
            to the changes above.

          - Added code generation to check for a nil event
            consumer before a push call is made on it by
            an emits port. The event consumer would be nil
            if a connection had not yet been made. Thanks
            to James Hill <hillj@isis.vanderbilt.edu> for
            reporting the problem.

Fri Feb  2 15:09:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.cpp:
        * ciao/Context_Impl_Base.cpp:
        * ciao/Context_Impl_T.cpp:
        * ciao/Home_Servant_Impl_Base.cpp:
        * ciao/Home_Servant_Impl_T.cpp:
        * ciao/Port_Activator_T.cpp:
        * ciao/Servant_Activator.cpp:
        * ciao/Servant_Impl_Base.cpp:
        * ciao/Servant_Impl_T.cpp:
        * ciao/Swapping_Servant_Home_Impl_Base.cpp:
        * ciao/Swapping_Servant_Home_Impl_T.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * docs/templates/CIAO_Glue_Session_Template.cpp:
        * docs/templates/CIAO_Glue_Session_Template.inl:
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_exec.cpp:
          Replaced ACE_THROW_RETURN with throw

Fri Feb  2 13:28:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp:
        * examples/BasicSP/EC/client.cpp:
        * performance-tests/Benchmark/RoundTripServer/server.cpp:
        * performance-tests/Benchmark/server.cpp:
        * performance-tests/Protocols/Controller/Controller.cpp:
        * RACE/Input_Adapters/LocationUpdater/Injector.cpp:
        * RACE/Input_Adapters/PlanGenerator/Injector.cpp:
        * tests/IDL3/Events/Any/main.cpp:
        * tools/Config_Handlers/Package_Handlers/test.cpp:
        * tools/Config_Handlers/RT-CCM/test.cpp:
        * tools/Config_Handlers/test.cpp:
          No need anymore to pass an empty string as orbname

Fri Feb  2 11:48:34 UTC 2007  Simon McQueen  <sm@prismtech.com>

        * tests/IDL3/Components/SimpleComponent/SimpleComponent.idl:

          Add regression testing for bug #2790.

Wed Jan 31 15:44:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Generator/PCVisitor.cpp:
        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/tests/NodeApplicationTest/RoundTrip_exec.h:
        * RACE/Controller/Component/Controller_exec.cpp:
        * RACE/Controller/Component/Controller_exec.h:

Wed Jan 31 15:03:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/DAM_Map.{h,cpp}:
        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.{h,cpp}:
          Const changes, layout improvements

Tue Jan 30 20:49:50 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

         * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
         * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp:

           Compile fixes for FC6.

Tue Jan 30 20:43:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
          Changed the check for the bind, with -1 return an error, with
          1 report a debug message of the reuse, else a normal debug.
          Thanks to Sandro Andrade <sandro dot andrade at gmail dot com>
          for reporting that ReDAC was broken.

Tue Jan 30 11:27:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Server_init.{h,cpp}:
          Change argument of BindObjectPath to a _ptr. Fixes bugzilla
          2779. Thanks to Abdullah Sowayan <abdullah.sowayan@lmco.com>
          for reporting this.

Mon Jan 29 19:23:14 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Swapping_Servant_Home_Impl_Base.{h,cpp}:
        * ciao/Upgradeable_Context_Impl_T.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
          Layout changes

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
          Fixed parsing of node manager file

        * examples/BasicSP/descriptors/run_test.pl:
          New script to run this example automatically

        * exampls/BasicSP/README.html:
          Fixed incorrect path and mpc generation command

Sun Jan 28 19:59:14 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO version 0.5.6 released.

Thu Jan 25 18:18:58 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * *.{h,cpp,inl}:

          Removed the majority of the ACE exception macros.  The
          ACE_THROW_RETURN's were left in to avoid warnings from aCC.

Wed Jan 24 13:00:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.{h,cpp,inl}:
          Removed part of the environment macros

Mon Jan 22 23:14:56 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO version 0.5.5 released.


Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
